g<!-- 设备管理 -->
<template>
  <div class="resource">
      <div class="zy-head-search">
        <span>仪器类型</span>
        <el-select v-model="search.eqpTypeName" clearable filterable collapse-tags size="small" style="width:200px;margin-right: 10px;" placeholder="请选择仪器类型">
            <el-option
            v-for="item in eqpTypeNameList"
            :key="item.baseCode"
            :label="item.baseName"
            :value="item.baseName">
            </el-option>
          </el-select>
           <span>仪器状态</span>
        <el-select v-model="search.stateFlag" clearable size="small" style="width:200px;margin-right: 10px;" placeholder="请选择仪器状态" >
            <el-option
              v-for="item in stateFlagList"
              :key="item.baseCode"
              :label="item.baseName"
              :value="item.baseName">
            </el-option>
          </el-select>
          <el-button icon="el-icon-search" type="goon" size="mini" @click="getDataList1">查询</el-button>
          <el-button icon="el-icon-refresh" type="info" plain size="mini" @click="reset">重置</el-button>
    </div>
    <!-- 设备信息表表头 -->
     <div class="zy-title-div">
      <div class="zy-title-name">
        <img style="width: 25px; height: 25px" src='../../../../assets/img/imgScreen/logo.png' />
        设备信息表
      </div>
      <div>
      <el-button icon="el-icon-circle-plus-outline" type="goon" size="mini" @click="addData">新增</el-button>
      <el-button icon="el-icon-edit" type="goon" size="mini" @click="modifyData">修改</el-button>
      <el-button icon="el-icon-circle-close" type="danger" size="mini" @click="deleteData">停用</el-button>
      <el-button icon="el-icon-check" type="goon" size="mini" @click="recoverData">启用</el-button>
      <el-button icon="el-icon-download" type="goon" size="mini" @click="printQRCode">打印二维码</el-button>
      <el-button icon="el-icon-download" type="goon" size="mini" :loading='exportFileLoading' @click="exportFile">导出设备卡文件</el-button>
      </div>
    </div>
    <!-- 设备信息表表格 -->
       <div class="common-table-div" style="margin-bottom:0;margin-top:0">
       <el-table
       v-loading="dataLoading" ref="dataTable" border :height="height_top"
       highlight-current-row
       @selection-change="handleSelectionChange"
       :data="table.list"
       :icore-filter-flag="icoreFilterFlag"
       :header-cell-style="tableHeaderCellStyle"
       :summary-method="getSummaries" show-summary
       :cell-class-name="tableRowClassName"
        @row-click="getAllListByEmpNo"
       :exchangeFilterMap="{'validFlag':{'0':'已停用','1':'已启用'},
       'vrfCycUnit':{'1':'天','2':'周','3':'月','4':'季','5':'年'},
       'chkCycUnit':{'1':'天','2':'周','3':'月','4':'季','5':'年'},
       'stateFlag':{'0':'报废','1':'在用','2':'故障','3':'维修','4':'检定','5':'封存','6':'降级','7':'停用'},}">
        <el-table-column type="index" label="NO" fixed="left" align="center"></el-table-column>
        <el-table-column type="selection" width="55" fixed="left" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="115px" prop="eqpNo" label="仪器编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="eqpUseNo" label="设备中心编号"  align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="eqpName" label="仪器设备名称" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="specModel" label="规格型号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="mfcNumber" label="出厂编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="collIp" label="适用标准（项目）" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="collCom" label="仪器精度" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="manufacturer" label="生产厂家" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="acpDate" label="接收日期" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="startDate" label="启用日期" align="center"></el-table-column>    
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="stateFlag" label="仪器状态" align="center">
           <template slot-scope="scope">
              <span v-if="scope.row.stateFlag == 0">报废</span>
              <span v-else-if="scope.row.stateFlag == 1">正常</span>
              <span v-else-if="scope.row.stateFlag == 2">故障</span>
              <span v-else-if="scope.row.stateFlag == 3">维修</span>
              <span v-else-if="scope.row.stateFlag == 4">检定</span>
              <span v-else-if="scope.row.stateFlag == 5">封存</span>
              <span v-else-if="scope.row.stateFlag == 6">停用</span>
              <span v-else-if="scope.row.stateFlag == 7">启用</span>
          </template>
        </el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="eqpDesc" label="放置地点"  align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="headMan" label="责任人"  align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="vafFlag" label="检定状态"  align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="150px" prop="memo" label="备注" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="eqpTypeName" label="仪器类型" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="130px" prop="eqpTypeCode" label="仪器类型编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="eqpUseNo" label="用户编号"  align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="manufacturer" label="制造厂商" align="center"></el-table-column>
        <el-table-column
                  sortable
                  :show-overflow-tooltip="true"
                  min-width="80px"
                  prop="memo1"
                  label="下载/预览"
                  align="center"
                ><template slot-scope="scope">
                  <el-tooltip
                    content="下载"
                    placement="bottom"
                    effect="light"
                  >
                    <el-button
                      :disabled="!scope.row.memo1"
                      type="goon"
                      size="mini"
                      icon="el-icon-download"
                      circle
                      @click="
                          imgPreView(
                            scope.row,
                            scope.row.memo1
                          )
                        "
                    >
                    </el-button>
                  </el-tooltip>
                  <el-tooltip
                                content="预览"
                                placement="bottom"
                                effect="light"
                            >
                                <el-button
                                    :disabled='!scope.row.memo1'
                                    type="warning"
                                    size="mini"
                                    icon="el-icon-view"
                                    circle
                                    @click="imgPreViewY(scope.row,scope.row.memo1)"
                                >
                                </el-button>
                            </el-tooltip>
                </template>
                </el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="specModel" label="规格型号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="mfcNumber" label="出厂编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="eqpDesc" label="仪器描述"  align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="usePost" label="使用岗位" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="companyName" label="使用公司" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="deptName" label="使用部门" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="sectionName" label="使用班组" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="collTypeName" label="采集类型"  align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="110px" prop="mtnContractno" label="维护合同编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="mtnCtrctEndDate" label="合同到期日期" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="110px" prop="vrfCycValue" label="检定周期值" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="110px" prop="vrfCycUnit" label="检定周期单位" align="center">
          <template slot-scope="scope">
              <span v-if="scope.row.vrfCycUnit == 1">天</span>
              <span v-else-if="scope.row.vrfCycUnit == 2">周</span>
              <span v-else-if="scope.row.vrfCycUnit == 3">月</span>
              <span v-else-if="scope.row.vrfCycUnit == 4">季</span>
              <span v-else-if="scope.row.vrfCycUnit == 5">年</span>
          </template>
        </el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="nextVrfDate" label="下次检定日期"  align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="chkCycValue" label="核查周期值"  align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="chkCycUnit" label="核查周期单位"  align="center">
          <template slot-scope="scope">
              <span v-if="scope.row.chkCycUnit == 1">天</span>
              <span v-else-if="scope.row.chkCycUnit == 2">周</span>
              <span v-else-if="scope.row.chkCycUnit == 3">月</span>
              <span v-else-if="scope.row.chkCycUnit == 4">季</span>
              <span v-else-if="scope.row.chkCycUnit == 5">年</span>
          </template>
        </el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="nextChkDate" label="下次核查日期"  align="center"></el-table-column>
         <el-table-column sortable :show-overflow-tooltip="true" min-width="100px"  prop="validFlag" label="数据状态" align="center">
           <template slot-scope="scope">
              <span v-if="scope.row.validFlag == 1">已启用</span>
              <span v-else-if="scope.row.validFlag == 0">已停用</span>
          </template>
        </el-table-column>

        <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="createNo" label="创建人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="createTime" label="创建时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="updateMan" label="更新人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="updateTime" label="更新时间" align="center"></el-table-column>
      </el-table>
    </div>
    <!-- 分页一 -->
     <div class="zy-foot-page">
      <el-pagination
      v-loading="dataLoading"
      @size-change="pageSizeChange"
      @current-change="pageCurrentChange"
      :current-page="page.pageNum"
      :page-sizes="[10, 20, 50, 100, 200]"
      :page-size="page.pageSize"
      layout="total, sizes, prev, pager, next, jumper"
      :total="page.totalPage" background>
      </el-pagination>
    </div>
    <br>
     <!-- 维修保养信息 -->
    <div style="position: absolute;right:23px;margin-top:7px;z-index: 999;" v-if="activeName === 'first'"></div>
     <!-- 设备检定信息 -->
    <div style="position: absolute;right:23px;margin-top: 7px;z-index: 999;" v-if="activeName === 'second'"></div>
    <!-- 设备故障信息 -->
    <div style="position: absolute;right:23px;margin-top: 7px;z-index: 999;" v-if="activeName === 'third'"></div>
    <!-- 设备维修信息 -->
    <div style="position: absolute;right:23px;margin-top: 7px;z-index: 999;" v-if="activeName === 'fourth'"></div>
    <!-- 设备处置信息 -->
    <div style="position: absolute;right:23px;margin-top: 7px;z-index: 999;" v-if="activeName === 'fifth'"></div>
    <!-- tabs切栏 -->
      <div>
        <el-tabs v-model="activeName" type="card">
       <el-tab-pane label="设备档案信息" name="first">
     <div class="zy-title-div">
      <div class="zy-title-name">
        <img style="width: 25px; height: 25px" src='../../../../assets/img/imgScreen/logo.png' />
        设备档案表
      </div>
      <div>
      <el-button icon="el-icon-circle-plus-outline" type="goon" size="mini" @click="addData2">新增</el-button>
      <el-button icon="el-icon-edit" type="goon" size="mini" @click="modifyData2">修改</el-button>
      <el-button icon="el-icon-circle-close" type="danger" size="mini" @click="deleteData2">停用</el-button>
      <el-button icon="el-icon-check" type="goon" size="mini" @click="recoverData2">启用</el-button>
      </div>
    </div>
      <!-- 设备保养表表格 -->
      <div class="common-table-div" style="margin-bottom:0;margin-top:0">
        <el-table
        v-loading="dataLoading2"
        ref="dataTable2" border
        :height="height_bot" highlight-current-row
        @selection-change="handleSelectionChange2"
        :data="table.list2"
        :icore-filter-flag="icoreFilterFlag"
        :cell-class-name="tableRowClassName2"
        @row-click="getRowCheck"
        :header-cell-style="tableHeaderCellStyle"
        :exchangeFilterMap="{'validFlag':{'0':'已停用','1':'已启用'},
        'treatRst':{'0':'报废','1':'在用','2':'故障','3':'维修','4':'检定','5':'封存','6':'降级','7':'停用'}}">
        <el-table-column type="index" label="NO" fixed="left" align="center"></el-table-column>
        <el-table-column type="selection" width="55" fixed="left" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="mtnId" label="记录编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="eqpNo" label="仪器编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="eqpName" label="仪器名称" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" label="数据状态" align="center">
           <template slot-scope="scope">
              <span v-if="scope.row.validFlag == 1" >已启用</span>
              <span v-else-if="scope.row.validFlag == 0">已停用</span>
          </template>
        </el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="strTime" label="归档时间" align="center"></el-table-column>
        <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="endTime" label="保养结束时间" align="center"></el-table-column> -->
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="mtnSort" label="档案文件" align="center"></el-table-column>
        <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="mtnNotes" label="保养内容" align="center"></el-table-column> -->
        <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="mtnPay" label="保养费用（元）" align="center"></el-table-column> -->
        <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="mtnPlace" label="保养地点" align="center"></el-table-column> -->
        <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="mtnOpr" label="保养人员" align="center"></el-table-column> -->
        <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="treatRst" label="仪器处置结果" align="center">
          <template slot-scope="scope">
              <span v-if="scope.row.treatRst == 0">报废</span>
              <span v-else-if="scope.row.treatRst == 1">在用</span>
              <span v-else-if="scope.row.treatRst == 2">故障</span>
              <span v-else-if="scope.row.treatRst == 3">维修</span>
              <span v-else-if="scope.row.treatRst == 4">检定</span>
              <span v-else-if="scope.row.treatRst == 5">封存</span>
              <span v-else-if="scope.row.treatRst == 6">停用</span>
              <span v-else-if="scope.row.treatRst == 7">启用</span>
          </template>
        </el-table-column> -->
        <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="createNo" label="创建人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="createTime" label="创建时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="updateMan" label="更新人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="updateTime" label="更新时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="memo" label="备注" align="center"></el-table-column>
        </el-table>
      </div>
       <div class="zy-foot-page">
        <el-pagination
        v-loading="dataLoading2"
        @size-change="pageSizeChange2"
        @current-change="pageCurrentChange2"
        :current-page="page2.pageNum"
        :page-sizes="[10, 20, 50, 100, 200]"
        :page-size="page2.pageSize"
        layout="total, sizes, prev, pager, next, jumper"
        :total="page2.totalPage" background>
        </el-pagination>
     </div>
       </el-tab-pane>
       <el-tab-pane label="设备检定信息" name="second">
          <div class="zy-title-div">
      <div class="zy-title-name">
        <img style="width: 25px; height: 25px" src='../../../../assets/img/imgScreen/logo.png' />
        设备检定表
      </div>
      <div>
      <el-button icon="el-icon-circle-plus-outline" type="goon" size="mini" @click="addData3">新增</el-button>
      <el-button icon="el-icon-edit" type="goon" size="mini" @click="modifyData3">修改</el-button>
      <el-button icon="el-icon-circle-close" type="danger" size="mini" @click="deleteData3">停用</el-button>
       <el-button icon="el-icon-check" type="goon" size="mini" @click="recoverData3">启用</el-button>
      </div>
    </div>
    <!-- 设备检定表表格 -->
    <div class="common-table-div" style="margin-bottom:0;margin-top:0">
        <el-table
        v-loading="dataLoading3"
        ref="dataTable3" border
        :height="height_bot" highlight-current-row
        @selection-change="handleSelectionChange3"
        :data="table.list3"
        @row-click="getRowCheck2"
        :cell-class-name="tableRowClassName3"
        :icore-filter-flag="icoreFilterFlag"
        :header-cell-style="tableHeaderCellStyle"
        :exchangeFilterMap="{'validFlag':{'0':'已停用','1':'已启用'},
        'vrfResults':{'0':'不合格','1':'合格'},
        'vrfCycUnit':{'1':'天','2':'周','3':'月','4':'季','5':'年'},}">
        <el-table-column type="index" label="NO" fixed="left" align="center"></el-table-column>
        <el-table-column type="selection" width="55" fixed="left" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="vrfId" label="记录编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="eqpNo" label="仪器编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="eqpName" label="仪器名称" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="strTime" label="检定开始时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="endTime" label="检定结束时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="vrfOrg" label="检定单位" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="vrfOpr" label="检定人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="cfmOpr" label="确认人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="130px" prop="vrfPay" label="检定费用（元）" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="vrfResults" label="检定结果" align="center">
           <template slot-scope="scope">
              <span v-if="scope.row.vrfResults == 1">合格</span>
              <span v-else-if="scope.row.vrfResults == 0">不合格</span>
          </template>
        </el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="vrfNotes" label="检定内容" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="vrfCycValue" label="检定周期值" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="130px" prop="vrfCycUnit" label="检定周期单位" align="center">
           <template slot-scope="scope">
              <span v-if="scope.row.vrfCycUnit == 1">天</span>
              <span v-else-if="scope.row.vrfCycUnit == 2">周</span>
              <span v-else-if="scope.row.vrfCycUnit == 3">月</span>
              <span v-else-if="scope.row.vrfCycUnit == 4">季</span>
              <span v-else-if="scope.row.vrfCycUnit == 5">年</span>
           </template>
        </el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="nextVrfDate" label="下次检定日期" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px"  label="数据状态" align="center">
           <template slot-scope="scope">
              <span v-if="scope.row.validFlag == 1">已启用</span>
              <span v-else-if="scope.row.validFlag == 0">已停用</span>
          </template>
        </el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="createNo" label="创建人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="createTime" label="创建时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="updateMan" label="更新人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="updateTime" label="更新时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="memo" label="备注" align="center"></el-table-column>
        </el-table>
      </div>
      <!-- <div class="zy-foot-page">
        <el-pagination
        v-loading="dataLoading3"
        @size-change="pageSizeChange3"
        @current-change="pageCurrentChange3"
        :current-page="page3.pageNum"
        :page-sizes="[10, 20, 50, 100, 200]"
        :page-size="page3.pageSize"
        layout="total, sizes, prev, pager, next, jumper"
        :total="page3.totalPage" background>
        </el-pagination>
     </div> -->
       </el-tab-pane>
         <el-tab-pane label="设备故障信息" name="third">
          <div class="zy-title-div">
      <div class="zy-title-name">
        <img style="width: 25px; height: 25px" src='../../../../assets/img/imgScreen/logo.png' />
        设备故障表
      </div>
      <div>
      <el-button icon="el-icon-circle-plus-outline" type="goon" size="mini" @click="addData4">新增</el-button>
      <el-button icon="el-icon-edit" type="goon" size="mini" @click="modifyData4">修改</el-button>
      <el-button icon="el-icon-circle-close" type="danger" size="mini" @click="deleteData4">停用</el-button>
       <el-button icon="el-icon-check" type="goon" size="mini" @click="recoverData4">启用</el-button>
      </div>
    </div>
    <!-- 设备故障表格 -->
    <div class="common-table-div" style="margin-bottom:0;margin-top:0">
        <el-table
        v-loading="dataLoading4"
        ref="dataTable4" border
        :height="height_bot" highlight-current-row
        @selection-change="handleSelectionChange4"
        :data="table.list4"
        :icore-filter-flag="icoreFilterFlag"
        @row-click="getRowCheck3"
        :cell-class-name="tableRowClassName4"
        :header-cell-style="tableHeaderCellStyle"
        :exchangeFilterMap="{'validFlag':{'0':'已停用','1':'已启用'}}">
        <el-table-column type="index" label="NO" fixed="left" align="center"></el-table-column>
        <el-table-column type="selection" width="55" fixed="left" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="prbId" label="记录编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="eqpNo" label="仪器编码" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="eqpName" label="仪器名称" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="prbTime" label="故障日期" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="prbSort" label="故障分类" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="prbDesc" label="故障描述" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="prbCause" label="故障原因分析" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="130px" prop="prbRptOpr" label="故障发现人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="130px" prop="treatId" label="处理记录号" align="center"></el-table-column>
        <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="treatRst" label="处置结果" align="center"></el-table-column> -->
         <el-table-column sortable :show-overflow-tooltip="true" min-width="100px"  label="数据状态" align="center">
           <template slot-scope="scope">
              <span v-if="scope.row.validFlag == 1">已启用</span>
              <span v-else-if="scope.row.validFlag == 0">已停用</span>
          </template>
        </el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="createMan" label="创建人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="createTime" label="创建时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="updateMan" label="更新人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="updateTime" label="更新时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="memo" label="备注" align="center"></el-table-column>
        </el-table>
      </div>
       <!-- <div class="zy-foot-page">
        <el-pagination
        v-loading="dataLoading4"
        @size-change="pageSizeChange4"
        @current-change="pageCurrentChange4"
        :current-page="page4.pageNum"
        :page-sizes="[10, 20, 50, 100, 200]"
        :page-size="page4.pageSize"
        layout="total, sizes, prev, pager, next, jumper"
        :total="page4.totalPage" background>
        </el-pagination>
     </div> -->
       </el-tab-pane>
        <el-tab-pane label="设备维修信息" name="fourth">
     <div class="zy-title-div">
      <div class="zy-title-name">
        <img style="width: 25px; height: 25px" src='../../../../assets/img/imgScreen/logo.png' />
        设备维修表
      </div>
      <div>
      <el-button icon="el-icon-circle-plus-outline" type="goon" size="mini" @click="addData5">新增</el-button>
      <el-button icon="el-icon-edit" type="goon" size="mini" @click="modifyData5">修改</el-button>
      <el-button icon="el-icon-circle-close" type="danger" size="mini" @click="deleteData5">停用</el-button>
       <el-button icon="el-icon-check" type="goon" size="mini" @click="recoverData5">启用</el-button>
      </div>
    </div>
      <!-- 设备维修表表格 -->
      <div class="common-table-div" style="margin-bottom:0;margin-top:0">
        <el-table
        v-loading="dataLoading5"
        ref="dataTable5" border
        :height="height_bot" highlight-current-row
        @selection-change="handleSelectionChange5"
        :data="table.list5"
        @row-click="getRowCheck4"
        :icore-filter-flag="icoreFilterFlag"
        :cell-class-name="tableRowClassName5"
        :header-cell-style="tableHeaderCellStyle"
        :exchangeFilterMap="{'validFlag':{'0':'已停用','1':'已启用'}}">
        <el-table-column type="index" label="NO" fixed="left" align="center"></el-table-column>
        <el-table-column type="selection" width="55" fixed="left" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="rprId" label="记录编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="eqpNo" label="仪器编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="strTime" label="维修开始时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="endTime" label="维修结束时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="rprPay" label="维修费用(元)" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="prbNo" label="故障编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="rprOpr" label="维修人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="rprResult" label="维修结果" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="rprNotes" label="维修内容" align="center"></el-table-column>
         <el-table-column sortable :show-overflow-tooltip="true" min-width="100px"  label="数据状态" align="center">
           <template slot-scope="scope">
              <span v-if="scope.row.validFlag == 1">已启用</span>
              <span v-else-if="scope.row.validFlag == 0">已停用</span>
          </template>
        </el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="memo" label="备注" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="createMan" label="创建人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="createTime" label="创建时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="updateMan" label="更新人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="updateTime" label="更新时间" align="center"></el-table-column>
        </el-table>
      </div>
       <!-- <div class="zy-foot-page">
        <el-pagination
        v-loading="dataLoading5"
        @size-change="pageSizeChange5"
        @current-change="pageCurrentChange5"
        :current-page="page5.pageNum"
        :page-sizes="[10, 20, 50, 100, 200]"
        :page-size="page5.pageSize"
        layout="total, sizes, prev, pager, next, jumper"
        :total="page5.totalPage" background>
        </el-pagination>
     </div> -->
       </el-tab-pane>
       <el-tab-pane label="设备处置信息" name="fifth">
          <div class="zy-title-div">
      <div class="zy-title-name">
        <img style="width: 25px; height: 25px" src='../../../../assets/img/imgScreen/logo.png' />
        设备处置表
      </div>
      <div>
      <el-button icon="el-icon-circle-plus-outline" type="goon" size="mini" @click="addData6">新增</el-button>
      <el-button icon="el-icon-edit" type="goon" size="mini" @click="modifyData6">修改</el-button>
      <el-button icon="el-icon-circle-close" type="danger" size="mini" @click="deleteData6">停用</el-button>
      <el-button icon="el-icon-check" type="goon" size="mini" @click="recoverData6">启用</el-button>
      </div>
    </div>
    <!-- 设备处置表表格 -->
    <div class="common-table-div" style="margin-bottom:0;margin-top:0">
        <el-table
        v-loading="dataLoading6"
        ref="dataTable6" border
        :height="height_bot" highlight-current-row
        @selection-change="handleSelectionChange6"
        :data="table.list6"
        @row-click="getRowCheck5"
        :icore-filter-flag="icoreFilterFlag"
        :header-cell-style="tableHeaderCellStyle"
        :cell-class-name="tableRowClassName6"
        :exchangeFilterMap="{'validFlag':{'0':'已停用','1':'已启用'},
        'statusBfr':{'0':'报废','1':'在用','2':'故障','3':'维修','4':'检定','5':'封存','6':'降级','7':'停用'},
        'statusAft':{'0':'报废','1':'在用','2':'故障','3':'维修','4':'检定','5':'封存','6':'降级','7':'停用'},
        'trtCause':{'0':'报废','1':'在用','2':'故障','3':'维修','4':'检定','5':'封存','6':'降级','7':'停用'},}">
        <el-table-column type="index" label="NO" fixed="left" align="center"></el-table-column>
        <el-table-column type="selection" width="55" fixed="left" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="trtId" label="记录编号" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="eqpNo" label="仪器编码" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="eqpName" label="仪器名称" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="trtTime" label="处置时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="trtOpr" label="处置人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="statusBfr" label="处置前状态" align="center">
           <template slot-scope="scope">
              <span v-if="scope.row.statusBfr == 0">报废</span>
              <span v-else-if="scope.row.statusBfr == 1">在用</span>
              <span v-else-if="scope.row.statusBfr == 2">故障</span>
              <span v-else-if="scope.row.statusBfr == 3">维修</span>
              <span v-else-if="scope.row.statusBfr == 4">检定</span>
              <span v-else-if="scope.row.statusBfr == 5">封存</span>
              <span v-else-if="scope.row.statusBfr == 6">停用</span>
              <span v-else-if="scope.row.statusBfr == 7">启用</span>
          </template>
        </el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="statusAft" label="处置后状态" align="center">
           <template slot-scope="scope">
              <span v-if="scope.row.statusAft == 0">报废</span>
              <span v-else-if="scope.row.statusAft == 1">在用</span>
              <span v-else-if="scope.row.statusAft == 2">故障</span>
              <span v-else-if="scope.row.statusAft == 3">维修</span>
              <span v-else-if="scope.row.statusAft == 4">检定</span>
              <span v-else-if="scope.row.statusAft == 5">封存</span>
              <span v-else-if="scope.row.statusAft == 6">停用</span>
              <span v-else-if="scope.row.statusAft == 7">启用</span>
           </template>
        </el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="trtNotes" label="处置说明" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="trtCause" label="处置记录来源" align="center">
            <template slot-scope="scope">
              <span v-if="scope.row.trtCause == 0">报废</span>
              <span v-else-if="scope.row.trtCause == 1">在用</span>
              <span v-else-if="scope.row.trtCause == 2">故障</span>
              <span v-else-if="scope.row.trtCause == 3">维修</span>
              <span v-else-if="scope.row.trtCause == 4">检定</span>
              <span v-else-if="scope.row.trtCause == 5">封存</span>
              <span v-else-if="scope.row.trtCause == 6">停用</span>
              <span v-else-if="scope.row.trtCause == 7">启用</span>
           </template>
        </el-table-column>
         <el-table-column sortable :show-overflow-tooltip="true" min-width="100px"  label="数据状态" align="center">
           <template slot-scope="scope">
              <span v-if="scope.row.validFlag == 1">已启用</span>
              <span v-else-if="scope.row.validFlag == 0">已停用</span>
          </template>
        </el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="createNo" label="创建人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="createTime" label="创建时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="updateMan" label="更新人" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="updateTime" label="更新时间" align="center"></el-table-column>
        <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="memo" label="备注" align="center"></el-table-column>
        </el-table>
      </div>
       <!-- <div class="zy-foot-page">
        <el-pagination
        v-loading="dataLoading6"
        @size-change="pageSizeChange6"
        @current-change="pageCurrentChange6"
        :current-page="page6.pageNum"
        :page-sizes="[10, 20, 50, 100, 200]"
        :page-size="page6.pageSize"
        layout="total, sizes, prev, pager, next, jumper"
        :total="page6.totalPage" background>
        </el-pagination>
       </div> -->
       </el-tab-pane>
        </el-tabs>
  </div>
  <div id="printContainer2" v-show='false'>
    <div id="printContent">
      <div style="height: 180px;">
        <div style="text-align: center;margin-bottom:10px">
            <strong style="font-size: 14px;">广西北港新材料有限公司</strong><br/>
        </div>
        <div style="text-align: center">
          <div  style="font-size: 12px;display:inline-block;text-align:center;height:110px;margin: 0 auto" ref='printCode'></div>
          <div style="font-size: 12px;height:14px;margin: 0 auto">{{printObj.eqpUseNo}}</div>
          <div style="font-size: 12px;height:14px;margin: 0 auto">{{printObj.memo}}</div>
        </div>
      </div>
    </div>
  </div>
  <div>
    <div id="docx">
      <div ref="file"></div>
    </div>
    <div id = "xlsx">
        <el-tabs v-model="activeName1" v-if="DialogVisible" type="border-card">
            <el-tab-pane v-for="(item,index) in excelSheet" :key="index" :label="item.name" :name="item.name">
                <div class="table" v-html="item.innerHTML"></div>
            </el-tab-pane>
        </el-tabs>
    </div>
  </div>
  <div id="qrcode2" ref="qrcode2"></div>
  <!-- 新增仪器信息弹窗 -->
    <div is="alertComponents" :showFlag="showFlag" :Params="Params" @refresh='refresh(1)'></div>
    <div is="alertComponents2" :showFlag2="showFlag2" :Params="Params" :Params2="Params2" @refresh='refresh(2)'></div>
    <div is="alertComponents3" :showFlag3="showFlag3" :Params="Params" :Params3="Params3" @refresh='refresh(3)'></div>
    <div is="alertComponents4" :showFlag4="showFlag4" :Params="Params" :Params4="Params4" @refresh='refresh(4)'></div>
    <div is="alertComponents5" :showFlag5="showFlag5" :Params="Params" :Params5="Params5" @refresh='refresh(5)'></div>
    <div is="alertComponents6" :showFlag6="showFlag6" :Params="Params" :Params6="Params6" @refresh='refresh(6)'></div>
  </div>
</template>
<script>
import {
  getCookie,
  formatDate
} from '@/utils/util.js';
import {
  cookieUserId,
  cookieUserName
} from '@/config/config.js';
import alertComponents from './alertComponents';
import alertComponents2 from './alertComponents2';
import alertComponents3 from './alertComponents3';
import alertComponents4 from './alertComponents4';
import alertComponents5 from './alertComponents5';
import alertComponents6 from './alertComponents6';
import pdf from 'vue-pdf'
import XLSX from 'xlsx';
let userName = getCookie(cookieUserName);
let userId = getCookie(cookieUserId);
export default {
    components: {alertComponents, alertComponents2, alertComponents3, alertComponents4, alertComponents5, alertComponents6},
  data () {
    return {
      dialogTableVisible: false,
        table: {
        list: [],
        list2: [],
        list3: [],
        list4: [],
        list5: [],
        list6: [],
      },
      dataLoading: false,
      dataLoading2: false,
      dataLoading3: false,
      dataLoading4: false,
      dataLoading5: false,
      dataLoading6: false,
      exportFileLoading: false,
      icoreFilterFlag: true,
      DialogVisible: false,
      page: {
        pageSize: 50,
        pageNum: 1,
        totalPage: 0
      },
      page2: {
        pageSize: 50,
        pageNum: 1,
        totalPage: 0
      },
      printObj:{},
      page3: {
        pageSize: 50,
        pageNum: 1,
        totalPage: 0
      },
      page4: {
        pageSize: 50,
        pageNum: 1,
        totalPage: 0
      },
      page5: {
        pageSize: 50,
        pageNum: 1,
        totalPage: 0
      },
      page6: {
        pageSize: 50,
        pageNum: 1,
        totalPage: 0
      },
      showFlag: false,
      Params: {},
      showFlag2: false,
      Params2: {},
      showFlag3: false,
      Params3: {},
      showFlag4: false,
      Params4: {},
      showFlag5: false,
      Params5: {},
      showFlag6: false,
      Params6: {},
      multipleSelection3: [],
      multipleSelection4: [],
      multipleSelection5: [],
      multipleSelection6: [],
      multipleSelection7: [],
      multipleSelection8: [],
    //   仪器类型
      eqpTypeNameList: [],
      eqpNo: '',
       stateFlagList: [
          {baseCode: '480801', baseName: '启用'},
          {baseCode: '480802', baseName: '停用'}
      ],
      search: {
       eqpTypeName: '',
       stateFlag: ''
      },
      height_top:0,
      height_bot:0,
      activeName: 'first'
    }
  },
  created() {
    this.height_top = window.innerHeight / 2 - 130 < 250 ? 250 : window.innerHeight / 2 - 110;
    this.height_bot = window.innerHeight / 2 - 130 < 250 ? 250 : window.innerHeight / 2 - 110;
  },
  mounted () {
    this.axios.post('pass/baseManagement/v1/limsbaseinfos/queryBaseInfoByBaseCode',{validFlag:1,baseCode:4808}, {individualType: 'json'}).then(res => {
      this.eqpTypeNameList= res.data;
    })
    this.searchData();
    // this.getDataList2();
    // this.getDataList3();
    // this.getDataList4();
    // this.getDataList5();
    // this.getDataList6();
    this.addScreen();
    this.addScreen2();
    this.addScreen3();
    this.addScreen4();
    this.addScreen5();
    this.addScreen6();
  },
  methods: {
    getSummaries(param) {
      const { columns, data } = param;
      const sums = [];
      columns.forEach((column, index) => {
        if (index === 0) {
          sums[index] = "合计";
        }
        if (index === 1) {
          sums[index] = data.length;
        } 
      });
      return sums;
    },
     // 页面刷新，重新加载表格数据
     refresh (number) {
      switch (number) {
        case 1 :
          this.searchData();
          break
        case 2 :
          this.getDataList2(this.eqpNo);
          break
        case 3 :
          this.getDataList3(this.eqpNo);
          break
        case 4 :
          this.getDataList4(this.eqpNo);
          break
        case 5 :
          this.getDataList5(this.eqpNo);
          break
        case 6 :
          this.getDataList6(this.eqpNo);
          break
      }
    },
    exportFile(){
      if (this.multipleSelection3.length !== 1) {
       this.$message.warning('请勾选您要导出的一条数据！')
       return
      }
      this.exportFileLoading = true;
      let str = this.multipleSelection3[0];
      this.axios.get('pass/baseManagement/v1/limslrceqpinfos/exportFile/'+ str.id,{responseType: 'blob'},{headers: {'content-type': 'application/x-www-form-urlencoded'}}).then(res=>{
        let blob = new Blob([res]);
        let elink = document.createElement('a');
        elink.download = "BBWXCLJC-4-08-03.docx";
        elink.style.display = 'none';
        elink.target = "_blank";
        elink.href = URL.createObjectURL(blob);
        document.body.appendChild(elink);
        elink.click();
        URL.revokeObjectURL(elink.href); // 释放URL对象
        document.body.removeChild(elink);
        this.exportFileLoading = false;
      }).catch(e=>{
        this.exportFileLoading = false;
        return this.$message.error(e.message)
      })
    },
    printQRCode () {
      if (this.multipleSelection3.length !== 1) {
       this.$message.warning('请勾选您要打印的一条数据！')
       return
      }
      this.printObj = {...this.multipleSelection3[0]}
      this.$refs.printCode.innerHTML = ''
      setTimeout(() => {
        new QRCode(this.$refs.printCode, {
         text: this.printObj.eqpNo,
         width: 100,
         height: 100,
         colorDark: "#000000",
         colorLight: "#ffffff",
      });
      setTimeout(() =>{
        this.printPage('printContent');
      },1500)
      }, 100);
      //  let qrCode = this.multipleSelection3[0].eqpUseNo;
      //  let eqpCode = this.multipleSelection3[0].eqpNo;
      //  let employeeName = this.multipleSelection3[0].memo;
      //  let printContent = `<td style="width: 100%; text-align: center;">
      //          <div style="text-align: center;margin:0 auto;" >
      //              <span style="font-size: 16px">广西北港新材料有限公司</span><br/>
      //          </div>
      //          <div style="text-align: center;margin: 0 auto;width:100px;height:100px" id='XQ'></div>
      //          <div style="text-align: center;margin:0 auto;" >
      //              <span style="font-size: 16px">${qrCode}</span><br/>
      //              <span style="font-size: 16px">${employeeName}</span>
      //          </div>
      //      </td>`;
      //  document.getElementById("qrcode2").innerHTML = printContent;
      //  let new_str = document.getElementById("qrcode2").innerHTML; //获取指定打印区域
      //  //构建新网页(关键步骤,必须先构建新网页,在生成二维码,否则不能显示二维码)
      //  document.body.innerHTML = new_str;
      //  for (let j = 0; j < 1; j++) {
      //      document.getElementById("XQ").innerHTML = ""; //置空
      //      new QRCode(document.getElementById("XQ"), {
      //          text: eqpCode,
      //          width: 100,
      //          height: 100,
      //          colorDark: "#000000",
      //          colorLight: "#ffffff",
      //      });
      //  }
      //  window.print(); //打印刚才新建的网页
      //  window.location.reload();
      //  return false;
    },
     // 设备信息表新增
    addData () {
      this.showFlag = !this.showFlag;
      // this.Params = null;
      // this.Params = this.multipleSelection3[0];
      this.Params = null
    },
    // 修改设备信息表
    modifyData () {
      if (this.multipleSelection3.length !== 1) {
        this.$message.warning('请勾选您要修改的一条数据！')
      } else {
        this.showFlag = !this.showFlag;
        this.Params = this.multipleSelection3[0]
      }
    },
       // 设备信息表删除
    deleteData () {
        if (this.multipleSelection3.length < 1) {
        this.$message.warning('请勾选您要停用的数据！')
       } else {
        this.dialogTableVisible = false;
        for (var i = 0; i < this.multipleSelection3.length; i++) {
        this.multipleSelection3[i].updateMan = userName;
        this.multipleSelection3[i].updateNo = userId
        }
        this.axios.post('pass/baseManagement/v1/limslrceqpinfos/abolish', this.multipleSelection3, {individualType: 'json'}).then(res => {
        if (res.succeed) {
         this.$message.success('停用操作成功');
         this.refresh(1)
        } else {
         this.$message.error(res.message)
        }
        }).catch(e => {
         this.$message.error(e.message)
       })
      }
    },
    // 设备信息表恢复
     recoverData () {
        if (this.multipleSelection3.length < 1) {
        this.$message.warning('请勾选您要启用的数据！')
      } else {
        this.dialogTableVisible2 = false;
        for (var i = 0; i < this.multipleSelection3.length; i++) {
        this.multipleSelection3[i].evaMan = userName;
        this.multipleSelection3[i].evaNo = userId
        }
        this.axios.post('pass/baseManagement/v1/limslrceqpinfos/recover', this.multipleSelection3, {individualType: 'json'}).then(res => {
        if (res.succeed) {
         this.$message.success('启用成功！');
         this.refresh(1)
        } else {
         this.$message.error(res.message)
        }
        }).catch(e => {
         this.$message.error(e.message)
       })
      }
    },
    //下载文件
    imgPreView(row,fileName){
        this.axios.get('pass/baseManagement/v1/file/download/' + fileName,{responseType: 'blob'},{headers: {'content-type': 'application/x-www-form-urlencoded'}}).then(res => {
            let blob = new Blob([res]);
            let elink = document.createElement('a');
            elink.download = fileName;
            elink.style.display = 'none';
            elink.target = "_blank";
            elink.href = URL.createObjectURL(blob);
            document.body.appendChild(elink);
            elink.click();
            URL.revokeObjectURL(elink.href); // 释放URL对象
            document.body.removeChild(elink);
        }).catch(e => {
            return this.$message.error(e.message)
        })
    },
    imgPreViewY(row,fileName){
      let aaa = fileName.substr(fileName.indexOf(".")+1);
      if(aaa == "pdf"){
        this.axios.get('pass/baseManagement/v1/file/download/' + fileName,{responseType: 'blob'},{headers: {'content-type': 'application/x-www-form-urlencoded'}}).then(res => {
          const binaryData = [];
          binaryData.push(res);
          this.srcUrl = window.URL.createObjectURL(new Blob(binaryData,{ type: 'application/pdf' }))
          window.open(this.srcUrl,fileName);
        }).catch(e => {
          return this.$message.error(e.message)
        })
      }else if(aaa == "xlsx"){
        this.axios.get('pass/baseManagement/v1/file/download/' + fileName,{responseType: 'arraybuffer'},{headers: {'content-type': 'application/x-www-form-urlencoded'}}).then(res => {
          this.excelSheet = [];
          this.showFlag(false);
          let workbook = XLSX.read(new Uint8Array(res), {type:"array"});
          this.tableToHtml(workbook);
        }).catch(e => {
          return this.$message.error(e.message)
        })
      }else{
        return this.$message.error("不支持这个类型的文件展示！")
      }
    },
    tableToHtml(workbook){
      const sheetList = workbook.SheetNames.filter(v => v.indexOf('数据源') === -1);
      this.activeName1 = sheetList[0];
      sheetList.forEach(sheet => {
        const worksheet = workbook.Sheets[sheet];
        if (worksheet) {
            const innerHTML = XLSX.utils.sheet_to_html(worksheet);
            this.excelSheet.push({
              name: sheet,
              innerHTML: innerHTML
            });
          } else {
            this.excelSheet.push({
              name: sheet,
              innerHTML: '暂无数据',
            });
          }
        });
        this.DialogVisible = true;
    },
    showFlag(docx){
      if(docx){
        document.getElementById("docx").style.display = "block";
        document.getElementById("xlsx").style.display = "none";
      }else{
        document.getElementById("docx").style.display = "none";
        document.getElementById("xlsx").style.display = "block";
      }
    },
    getDataList1 () {
      this.page.pageNum = 1;
      this.searchData ()
    },
    searchData () {
        this.dataLoading = true;
        this.axios.get('pass/baseManagement/v1/limslrceqpinfos/like/' + '?pageNum=' + this.page.pageNum + '&pageSize=' + this.page.pageSize + '&eqpTypeName=' + this.search.eqpTypeName + '&stateFlag=' +this.search.stateFlag)
        .then(res => {
          this.dataLoading = false;
          this.table.list = res.data.list;
          this.table.list.forEach(item=>{
                item.mtnCtrctEndDate =formatDate(item.mtnCtrctEndDate, "yyyy-MM-dd")
                item.nextVrfDate =formatDate(item.nextVrfDate, "yyyy-MM-dd")
                item.nextChkDate =formatDate(item.nextChkDate, "yyyy-MM-dd")
          })
          this.page.totalPage = res.data.total;
        }).catch(e => {
          this.dataLoading = false;
        });
      },
      // 重置
  reset () {
      this.search.stateFlag = '';
      this.search.eqpTypeName = '';
      this.searchData();
    },
   checkDetail: function (row) {
      this.dialogTableVisible = true
      this.rowDate = row
    },
    // 设备保养新增
    addData2 () {
       if (this.multipleSelection3.length < 1) {
        this.$message.warning('请在设备信息表中勾选您要新增的一条数据！')
      } else {
      this.showFlag2 = !this.showFlag2;
      this.Params2 = null;
      this.Params = this.multipleSelection3[0];
      }
    },
    // 设备保养修改
    modifyData2 () {
      if (this.multipleSelection4.length !== 1) {
        this.$message.warning('请勾选您要修改的一条数据！')
      } else {
        this.showFlag2 = !this.showFlag2;
        this.Params2 = this.multipleSelection4[0];
        this.Params = null
      }
    },
     // 设备保养删除
    deleteData2 () {
        if (this.multipleSelection4.length < 1) {
        this.$message.warning('请勾选您要停用的数据！')
       } else {
        this.dialogTableVisible = false;
        for (var i = 0; i < this.multipleSelection4.length; i++) {
        this.multipleSelection4[i].updateMan = userName;
        this.multipleSelection4[i].updateNo = userId
        }
        this.axios.post('pass/baseManagement/v1/limslrceqpmtns/abolish', this.multipleSelection4, {individualType: 'json'}).then(res => {
        if (res.succeed) {
         this.$message.success('停用操作成功');
         this.refresh(2)
        } else {
         this.$message.error(res.message)
        }
        }).catch(e => {
         this.$message.error(e.message)
       })
      }
    },
      // 设备保养启用按钮
    recoverData2 () {
        if (this.multipleSelection4.length < 1) {
        this.$message.warning('请勾选您要启用的数据！')
      } else {
        this.dialogTableVisible2 = false;
        for (var i = 0; i < this.multipleSelection4.length; i++) {
        this.multipleSelection4[i].evaMan = userName;
        this.multipleSelection4[i].evaNo = userId
        }
        this.axios.post('pass/baseManagement/v1/limslrceqpmtns/recover', this.multipleSelection4, {individualType: 'json'}).then(res => {
        if (res.succeed) {
         this.$message.success('启用成功！');
         this.refresh(2)
        } else {
         this.$message.error(res.message)
        }
        }).catch(e => {
         this.$message.error(e.message)
       })
      }
    },
     // 设备检定新增
    addData3 () {
       if (this.multipleSelection3.length < 1) {
        this.$message.warning('请在设备信息表中勾选您要新增的一条数据！')
      } else {
      this.showFlag3 = !this.showFlag3;
      this.Params3 = null;
      this.Params = this.multipleSelection3[0];
      console.log(this.Params)
      }
    },
     // 设备检定修改
    modifyData3 () {
      if (this.multipleSelection5.length !== 1) {
        this.$message.warning('请勾选您要修改的一条数据！')
      } else {
        this.showFlag3 = !this.showFlag3;
        this.Params3 = this.multipleSelection5[0];
        this.Params = null
      }
    },
     // 设备检定删除
   deleteData3 () {
        if (this.multipleSelection5.length < 1) {
        this.$message.warning('请勾选您要停用的数据！')
       } else {
        this.dialogTableVisible = false;
        for (var i = 0; i < this.multipleSelection5.length; i++) {
        this.multipleSelection5[i].updateMan = userName;
        this.multipleSelection5[i].updateNo = userId
        }
        this.axios.post('pass/baseManagement/v1/limslrceqpvrfs/abolish', this.multipleSelection5, {individualType: 'json'}).then(res => {
        if (res.succeed) {
         this.$message.success('停用操作成功');
         this.refresh(3)
        } else {
         this.$message.error(res.message)
        }
        }).catch(e => {
         this.$message.error(e.message)
       })
      }
    },
// 设备检定启用
     recoverData3 () {
        if (this.multipleSelection5.length < 1) {
        this.$message.warning('请勾选您要启用的数据！')
      } else {
        this.dialogTableVisible2 = false;
        for (var i = 0; i < this.multipleSelection5.length; i++) {
        this.multipleSelection5[i].evaMan = userName;
        this.multipleSelection5[i].evaNo = userId
        }
        this.axios.post('pass/baseManagement/v1/limslrceqpvrfs/recover', this.multipleSelection5, {individualType: 'json'}).then(res => {
        if (res.succeed) {
         this.$message.success('启用成功！');
         this.refresh(3)
        } else {
         this.$message.error(res.message)
        }
        }).catch(e => {
         this.$message.error(e.message)
       })
      }
    },
      // 设备故障
     addData4 () {
       if (this.multipleSelection3.length < 1) {
        this.$message.warning('请在设备信息表中勾选您要新增的一条数据！')
      } else {
      this.showFlag4 = !this.showFlag4;
      this.Params4 = null;
      this.Params = this.multipleSelection3[0];
      console.log(this.Params)
      }
    },
     // 设备故障修改
    modifyData4 () {
      if (this.multipleSelection6.length !== 1) {
        this.$message.warning('请勾选您要修改的一条数据！')
      } else {
        this.showFlag4 = !this.showFlag4;
        this.Params4 = this.multipleSelection6[0];
        this.Params = null
      }
    },
     // 设备故障删除
    deleteData4 () {
        if (this.multipleSelection6.length < 1) {
        this.$message.warning('请勾选您要停用的数据！')
       } else {
        this.dialogTableVisible = false;
        for (var i = 0; i < this.multipleSelection6.length; i++) {
        this.multipleSelection6[i].updateMan = userName;
        this.multipleSelection6[i].updateNo = userId
        }
        this.axios.post('pass/baseManagement/v1/limslrceqpprbs/abolish', this.multipleSelection6, {individualType: 'json'}).then(res => {
        if (res.succeed) {
         this.$message.success('停用操作成功');
         this.refresh(4)
        } else {
         this.$message.error(res.message)
        }
        }).catch(e => {
         this.$message.error(e.message)
       })
      }
    },
    // 设备故障启用
     recoverData4 () {
        if (this.multipleSelection6.length < 1) {
        this.$message.warning('请勾选您要启用的数据！')
      } else {
        this.dialogTableVisible2 = false;
        for (var i = 0; i < this.multipleSelection6.length; i++) {
        this.multipleSelection6[i].evaMan = userName;
        this.multipleSelection6[i].evaNo = userId
        }
        this.axios.post('pass/baseManagement/v1/limslrceqpprbs/recover', this.multipleSelection6, {individualType: 'json'}).then(res => {
        if (res.succeed) {
         this.$message.success('启用成功！');
         this.refresh(4)
        } else {
         this.$message.error(res.message)
        }
        }).catch(e => {
         this.$message.error(e.message)
       })
      }
    },
     // 设备维修新增
     addData5 () {
       if (this.multipleSelection3.length < 1) {
        this.$message.warning('请在设备信息表中勾选您要新增的一条数据！')
      } else {
      this.showFlag5 = !this.showFlag5;
      this.Params5 = null;
      this.Params = this.multipleSelection3[0];
      console.log(this.Params)
      }
    },
     // 设备维修修改
    modifyData5 () {
      if (this.multipleSelection7.length !== 1) {
        this.$message.warning('请勾选您要修改的一条数据！')
      } else {
        this.showFlag5 = !this.showFlag5;
        this.Params5 = this.multipleSelection7[0];
        this.Params = null
      }
    },
     //设备维修删除
    deleteData5 () {
        if (this.multipleSelection7.length < 1) {
        this.$message.warning('请勾选您要停用的数据！')
       } else {
        this.dialogTableVisible = false;
        for (var i = 0; i < this.multipleSelection7.length; i++) {
        this.multipleSelection7[i].updateMan = userName;
        this.multipleSelection7[i].updateNo = userId
        }
        this.axios.post('pass/baseManagement/v1/limslrceqprprs/abolish', this.multipleSelection7, {individualType: 'json'}).then(res => {
        if (res.succeed) {
         this.$message.success('停用操作成功');
         this.refresh(5)
        } else {
         this.$message.error(res.message)
        }
        }).catch(e => {
         this.$message.error(e.message)
       })
      }
    },
    // 设备维修启用
     recoverData5 () {
        if (this.multipleSelection7.length < 1) {
        this.$message.warning('请勾选您要启用的数据！')
      } else {
        this.dialogTableVisible2 = false;
        for (var i = 0; i < this.multipleSelection7.length; i++) {
        this.multipleSelection7[i].evaMan = userName;
        this.multipleSelection7[i].evaNo = userId
        }
        this.axios.post('pass/baseManagement/v1/limslrceqprprs/recover', this.multipleSelection7, {individualType: 'json'}).then(res => {
        if (res.succeed) {
         this.$message.success('启用成功！');
         this.refresh(5)
        } else {
         this.$message.error(res.message)
        }
        }).catch(e => {
         this.$message.error(e.message)
       })
      }
    },
     // 设备处置新增
     addData6 () {
      if (this.multipleSelection3.length < 1) {
        this.$message.warning('请在设备信息表中勾选您要新增的一条数据！')
      } else {
      this.showFlag6 = !this.showFlag6;
      this.Params6 = null;
      this.Params = this.multipleSelection3[0];
      console.log(this.Params)
      }
    },
     // 设备处置修改
    modifyData6 () {
      if (this.multipleSelection8.length !== 1) {
        this.$message.warning('请勾选您要修改的一条数据！')
      } else {
        this.showFlag6 = !this.showFlag6;
        this.Params6 = this.multipleSelection8[0];
        this.Params = null
      }
    },
     // 设备处置删除
    deleteData6 () {
        if (this.multipleSelection8.length < 1) {
        this.$message.warning('请勾选您要停用的数据！')
       } else {
        this.dialogTableVisible = false;
        for (var i = 0; i < this.multipleSelection8.length; i++) {
        this.multipleSelection8[i].updateMan = userName;
        this.multipleSelection8[i].updateNo = userId
        }
        this.axios.post('pass/baseManagement/v1/limslrceqptrts/abolish', this.multipleSelection8, {individualType: 'json'}).then(res => {
        if (res.succeed) {
         this.$message.success('停用操作成功');
         this.refresh(6)
        } else {
         this.$message.error(res.message)
        }
        }).catch(e => {
         this.$message.error(e.message)
       })
      }
    },
    // 设备处置启用
     recoverData6 () {
        if (this.multipleSelection8.length < 1) {
        this.$message.warning('请勾选您要启用的数据！')
      } else {
        this.dialogTableVisible2 = false;
        for (var i = 0; i < this.multipleSelection8.length; i++) {
        this.multipleSelection8[i].evaMan = userName;
        this.multipleSelection8[i].evaNo = userId
        }
        this.axios.post('pass/baseManagement/v1/limslrceqptrts/recover', this.multipleSelection8, {individualType: 'json'}).then(res => {
        if (res.succeed) {
         this.$message.success('启用成功！');
         this.refresh(6)
        } else {
         this.$message.error(res.message)
        }
        }).catch(e => {
         this.$message.error(e.message)
       })
      }
    },
    // 第一个
    pageSizeChange (size) {
      this.page.pageSize = size;
      this.searchData();
    },
    pageCurrentChange (index) {
      this.page.pageNum = index;
      this.searchData();
    },
    handleSelectionChange (val) {
      this.multipleSelection3 = val;
      if (val.length > 0) {
        this.eqpNo = val[val.length-1].eqpNo
        this.$refs.dataTable.setCurrentRow(val[val.length-1])
        this.getAllListByEmpNo (val[val.length-1])
      }
    },
     getAllListByEmpNo (val) {
        // this.$refs.dataTable.toggleRowSelection(val,true)
        this.getDataList2 (val.eqpNo)
        this.getDataList3 (val.eqpNo)
        this.getDataList4 (val.eqpNo)
        this.getDataList5 (val.eqpNo)
        this.getDataList6 (val.eqpNo)
    },
    getRowCheck (val) {
      this.$refs.dataTable2.toggleRowSelection(val,true)
    },
    getRowCheck2 (val) {
      this.$refs.dataTable3.toggleRowSelection(val,true)
    },
    getRowCheck3 (val) {
      this.$refs.dataTable4.toggleRowSelection(val,true)
    },
    getRowCheck4 (val) {
      this.$refs.dataTable5.toggleRowSelection(val,true)
    },
    getRowCheck5 (val) {
      this.$refs.dataTable6.toggleRowSelection(val,true)
    },
      // this.multipleSelection3 = val;
    // 第二
    pageSizeChange2 (size) {
      this.page2.pageSize = size;
      this.getDataList2(this.eqpNo);
    },
    pageCurrentChange2 (index) {
      this.page2.pageNum = index;
      this.getDataList2(this.eqpNo);
    },
    handleSelectionChange2 (val) {
      this.multipleSelection4 = val;
    },
    // 第三
    pageSizeChange3 (size) {
      this.page3.pageSize = size;
      this.getDataList3(this.eqpNo);
    },
    pageCurrentChange3 (index) {
      this.page3.pageNum = index;
      this.getDataList3(this.eqpNo);
    },
   handleSelectionChange3 (val) {
      this.multipleSelection5 = val;
    },
    //第四
    pageSizeChange4 (size) {
      this.page4.pageSize = size;
      this.getDataList4(this.eqpNo);
    },
    pageCurrentChange4 (index) {
      this.page4.pageNum = index;
      this.getDataList4(this.eqpNo);
    },
   handleSelectionChange4 (val) {
      this.multipleSelection6 = val;
    },
     //第五
    pageSizeChange5 (size) {
      this.page5.pageSize = size;
      this.getDataList5(this.eqpNo);
    },
    pageCurrentChange5 (index) {
      this.page5.pageNum = index;
      this.getDataList5(this.eqpNo);
    },
   handleSelectionChange5 (val) {
      this.multipleSelection7 = val;
    },
      //第六
    pageSizeChange6 (size) {
      this.page6.pageSize = size;
      this.getDataList6(this.eqpNo);
    },
    pageCurrentChange6 (index) {
      this.page6.pageNum = index;
      this.getDataList6(this.eqpNo);
    },
   handleSelectionChange6 (val) {
      this.multipleSelection8 = val;
    },
   addScreen () {
      this.$nextTick(() => {
          let ss = document.createElement('div');
          ss.innerHTML = '筛选';
          ss.style = 'text-align: center;'
          this.$refs.dataTable.$el.getElementsByClassName('el-table__fixed')[0].getElementsByTagName('td')[0].appendChild(ss);
       });
    },
    addScreen2 () {
     this.$nextTick(() => {
          let ss = document.createElement('div');
          ss.innerHTML = '筛选';
          ss.style = 'text-align: center;'
          this.$refs.dataTable2.$el.getElementsByClassName('el-table__fixed')[0].getElementsByTagName('td')[0].appendChild(ss);
       });
    },
    addScreen3 () {
     this.$nextTick(() => {
          let ss = document.createElement('div');
          ss.innerHTML = '筛选';
          ss.style = 'text-align: center;'
          this.$refs.dataTable3.$el.getElementsByClassName('el-table__fixed')[0].getElementsByTagName('td')[0].appendChild(ss);
       });
    },
    addScreen4 () {
     this.$nextTick(() => {
          let ss = document.createElement('div');
          ss.innerHTML = '筛选';
          ss.style = 'text-align: center;'
          this.$refs.dataTable4.$el.getElementsByClassName('el-table__fixed')[0].getElementsByTagName('td')[0].appendChild(ss);
       });
    },
    addScreen5 () {
     this.$nextTick(() => {
          let ss = document.createElement('div');
          ss.innerHTML = '筛选';
          ss.style = 'text-align: center;'
          this.$refs.dataTable5.$el.getElementsByClassName('el-table__fixed')[0].getElementsByTagName('td')[0].appendChild(ss);
       });
    },
    addScreen6 () {
     this.$nextTick(() => {
          let ss = document.createElement('div');
          ss.innerHTML = '筛选';
          ss.style = 'text-align: center;'
          this.$refs.dataTable6.$el.getElementsByClassName('el-table__fixed')[0].getElementsByTagName('td')[0].appendChild(ss);
       });
    },
    getDataList () {
      this.dataLoading = true;
      this.axios.get('pass/baseManagement/v1/limslrceqpinfos/' + '?pageNum=' + this.page.pageNum + '&pageSize=' + this.page.pageSize)
            .then(res => {
              this.dataLoading = false;
              this.table.list = res.data.list;
              this.table.list.forEach(item=>{
                    item.mtnCtrctEndDate =formatDate(item.mtnCtrctEndDate, "yyyy-MM-dd")
                    item.nextVrfDate =formatDate(item.nextVrfDate, "yyyy-MM-dd")
                    item.nextChkDate =formatDate(item.nextChkDate, "yyyy-MM-dd")
              })
              this.page.totalPage = res.data.total;
            }).catch(e => {
              this.dataLoading = false;
            });
    },
    getDataList2 (eqpNo) {
      this.dataLoading2 = true;
       if (eqpNo === null || eqpNo === '') {
        this.table.list2 = [];
        this.dataLoading2 = false;
        return 0
      } else {
      this.axios.get('pass/baseManagement/v1/limslrceqpmtns/' + '?pageNum=' + this.page2.pageNum + '&pageSize=' + this.page2.pageSize + '&eqpNo=' + eqpNo)
            .then(res => {
              this.dataLoading2 = false;
              this.table.list2 = res.data.list;
              this.page2.totalPage = res.data.total;
            }).catch(e => {
              this.dataLoading2 = false;
            });
      }
    },
    getDataList3 (eqpNo) {
      this.dataLoading3 = true;
       if (eqpNo === null || eqpNo === '') {
        this.table.list3 = [];
        this.dataLoading3 = false;
        return 0
      } else {
      this.axios.get('pass/baseManagement/v1/limslrceqpvrfs/' + '?pageNum=' + this.page3.pageNum + '&pageSize=' + this.page3.pageSize + '&eqpNo=' + eqpNo)
            .then(res => {
              this.dataLoading3 = false;
              this.table.list3 = res.data.list;
              this.table.list3.forEach(item=>{
                item.nextVrfDate =formatDate(item.nextVrfDate, "yyyy-MM-dd")
              })
              this.page3.totalPage = res.data.total;
            }).catch(e => {
              this.dataLoading3 = false;
            });
      }
    },
     getDataList4 (eqpNo) {
      this.dataLoading4 = true;
       if (eqpNo === null || eqpNo === '') {
        this.table.list4 = [];
        this.dataLoading4 = false;
        return 0
      } else {
      this.axios.get('pass/baseManagement/v1/limslrceqpprbs/' + '?pageNum=' + this.page4.pageNum + '&pageSize=' + this.page4.pageSize + '&eqpNo=' + eqpNo)
            .then(res => {
              this.dataLoading4 = false;
              this.table.list4 = res.data.list;
              this.table.list4.forEach(item=>{
                item.prbTime = formatDate(item.prbTime, "yyyy-MM-dd")
              })
              this.page4.totalPage = res.data.total;
            }).catch(e => {
              this.dataLoading4 = false;
            });
      }
    },
     getDataList5 (eqpNo) {
      this.dataLoading5 = true;
       if (eqpNo === null || eqpNo === '') {
        this.table.list5 = [];
        this.dataLoading5 = false;
        return 0
      } else {
      this.axios.get('pass/baseManagement/v1/limslrceqprprs/' + '?pageNum=' + this.page5.pageNum + '&pageSize=' + this.page5.pageSize + '&eqpNo=' + eqpNo)
            .then(res => {
              this.dataLoading5 = false;
              this.table.list5 = res.data.list;
              this.page5.totalPage = res.data.total;
            }).catch(e => {
              this.dataLoading5 = false;
            });
      }
    },
    getDataList6 (eqpNo) {
      this.dataLoading6 = true;
         if (eqpNo === null || eqpNo === '') {
        this.table.list6 = [];
        this.dataLoading6 = false;
        return 0
      } else {
      this.axios.get('pass/baseManagement/v1/limslrceqptrts/' + '?pageNum=' + this.page6.pageNum + '&pageSize=' + this.page6.pageSize + '&eqpNo=' + eqpNo)
            .then(res => {
              this.dataLoading6 = false;
              this.table.list6 = res.data.list;
              this.page6.totalPage = res.data.total;
            }).catch(e => {
              this.dataLoading6 = false;
            });
      }
    },
    tableRowClassName ({
        row, column, rowIndex, columnIndex
      }) {
        if (columnIndex === 27) {
        if (row.validFlag === '0') {
          return 'error-row';
        }
        return '';
        }
    },
    tableRowClassName2 ({
        row, column, rowIndex, columnIndex
      }) {
        if (columnIndex === 5) {
        if (row.validFlag === '0') {
          return 'error-row';
        }
        return '';
        }
    },
    tableRowClassName3 ({
        row, column, rowIndex, columnIndex
      }) {
        if (columnIndex === 16) {
        if (row.validFlag === '0') {
          return 'error-row';
        }
        return '';
        }
    },
    tableRowClassName4 ({
        row, column, rowIndex, columnIndex
      }) {
        if (columnIndex === 11) {
        if (row.validFlag === '0') {
          return 'error-row';
        }
        return '';
        }
    },
    tableRowClassName5 ({
        row, column, rowIndex, columnIndex
      }) {
        if (columnIndex === 11) {
        if (row.validFlag === '0') {
          return 'error-row';
        }
        return '';
        }
    },
    tableRowClassName6 ({
        row, column, rowIndex, columnIndex
      }) {
        if (columnIndex === 11) {
        if (row.validFlag === '0') {
          return 'error-row';
        }
        return '';
        }
    },
    // 表格上横线
    tableHeaderCellStyle () {
      return 'color: rgb(255,255,255);border-bottom: 1px solid #DCDFE7;'
    }
  },
}
</script>
<style lang="less">
</style>
